import Foundation

struct HeaderStyle {

    /// The total height of the header
    let height: CGFloat

    /// The width of the line beneath the header
    let lineWidth: CGFloat

    /// The height of the icons
    let iconHeight: CGFloat

    /// The size of the shadow around the center image
    let imageShadowSize: CGFloat

    let imageBorderWidth: CGFloat

    init(height: CGFloat = 100, lineWidth: CGFloat = 1, iconHeight: CGFloat = 20, imageShadowSize: CGFloat = 5, imageBorderWidth: CGFloat = 2) {
        self.height = height
        self.lineWidth = lineWidth
        self.iconHeight = iconHeight
        self.imageShadowSize = imageShadowSize
        self.imageBorderWidth = imageBorderWidth
    }
}
